{"openapi":"3.0.0","info":{"version":"1.0.0-oas3","title":"AA Backend Webapp","description":"The API for the EatBacon IOT project"},"paths":{"/aa/changelocale/{locale}":{"get":{"description":"sets locale","operationId":"setLocale","tags":["Application"],"parameters":[{"in":"path","name":"locale","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"User info","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChangeLocaleResponse"}}}}}}},"/aa/me":{"get":{"description":"returns user info","operationId":"getUserInfo","tags":["Application"],"responses":{"200":{"description":"User info","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserInfo"}}}}}}},"/aa/index":{"get":{"description":"return basic info for login page.","operationId":"getIndexInfo","tags":["Application"],"responses":{"200":{"description":"User info","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IndexResponse"}}}}}}},"/aa/ping":{"get":{"description":"return if session is aliave or not.","operationId":"isSessionAlive","tags":["Application"],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PingResponse"}}}},"401":{"description":"No Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PingResponse"}}}}}}},"/aa/programdetails/{companyEntityId}":{"get":{"description":"return programd details","operationId":"getProgramDetails","tags":["ProgramDetails"],"parameters":[{"in":"path","name":"companyEntityId","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"User info","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProgramDetailsResponse"}}}}}}},"/aa/programdetails/transfermiles/{companyEntityId}":{"post":{"description":"transfer miles","operationId":"transferMiles","tags":["ProgramDetails"],"parameters":[{"in":"path","name":"companyEntityId","schema":{"type":"string"},"required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TransferMilesRequest"}}}},"responses":{"200":{"description":"User info","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TransferMilesResponse"}}}}}}},"/aa/onboarding/traveler/registrationlanding":{"get":{"description":"returns login links","operationId":"getTravelerRegistrationLinks","tags":["Traveler Onboarding"],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TravelerLandingResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/aa/onboarding/traveler/me":{"get":{"description":"returns onboarding flow","operationId":"getTravelerOnboardingMe","tags":["Traveler Onboarding"],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TravelerOnboardingMeResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/aa/onboarding/traveler/sharedlinkregister":{"post":{"description":"collect user's email","operationId":"postSharedLinkRegister","tags":["Traveler Onboarding"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostSharedLinkRegisterForm"}}}},"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostSharedLinkRegisterResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/aa/onboarding/traveler/register":{"get":{"description":"returns user's membership number","operationId":"getTravelerRegistrationInfo","tags":["Traveler Onboarding"],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TravelerGetRegistrationResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"post":{"description":"submit registration form","operationId":"postTravelerRegistrationInfo","tags":["Traveler Onboarding"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TravelerRegistrationForm"}}}},"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TravelerPostRegistrationResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/aa/onboarding/company/landing":{"get":{"description":"returns links needed for display","operationId":"getLandingPage","tags":["Company Onboarding"],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RegistrationLandingResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/aa/onboarding/company/registration":{"post":{"description":"takes cart","operationId":"postCompanyInfo","tags":["Company Onboarding"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RegistrationForm"}}}},"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RegistrationResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"get":{"description":"retrieves registration info for an authenticated user.","operationId":"getRegistration","tags":["Company Onboarding"],"responses":{"200":{"description":"Registration info","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RegistrationForm"}}}}}}},"/aa/onboarding/company/registration/additionaldata":{"post":{"description":"process the additional data form and complete the registration","operationId":"completeRegAddData","tags":["Company Onboarding"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdditionalDataRequest"}}}},"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RegistrationResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/aa/onboarding/company/administrator":{"get":{"description":"return data to prepopulate user form.","operationId":"getAdminInfo","tags":["Company Onboarding"],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserRequest"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"post":{"description":"take administrators name and business email to start regstration","operationId":"collectAdmin","tags":["Company Onboarding"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserRequest"}}}},"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CorpAdminResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/aa/util/emailverification":{"post":{"description":"verify the 4 digit code entered by the usre","operationId":"emailVerificationCode","tags":["Util"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailVerificationRequest"}}}},"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailVerificationResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/aa/util/emailverification/resend":{"get":{"description":"request a resend of the verification code","operationId":"resendEmailVerificationCode","tags":["Util"],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResendVerificationResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/aa/orchestration/invitation":{"post":{"description":"Create invite for traveller,email addresses or shell users","operationId":"createUserInvite","tags":["Orchestrated"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateUserInviteRequest"}}}},"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateUserInviteResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"string","example":"Bad Request"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"type":"string","example":"Internal Server Error"}}}}}}},"/aa/orchestration/company/{companyEntityId}":{"get":{"description":"return company info","operationId":"getCompanyDetails","tags":["Orchestrated"],"parameters":[{"in":"path","name":"companyEntityId","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetCompanyInfo"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"patch":{"description":"handle update company details.  Orchestrated service which will apply AA specific business logic and update the company entity as well as changing the primary admin.","operationId":"updateCompany","tags":["Orchestrated"],"parameters":[{"in":"path","name":"companyEntityId","schema":{"type":"string"},"required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCompanyForm"}}}},"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCompanyResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"delete":{"description":"remove company","operationId":"removeCompany","tags":["Orchestrated"],"parameters":[{"in":"path","name":"companyEntityId","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCompanyResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/aa/orchestration/user/{userEntityId}":{"get":{"description":"get user details","operationId":"getUser","tags":["Orchestrated"],"parameters":[{"in":"path","name":"userEntityId","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetUserResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"put":{"description":"handle update user details.  Orchestrated service which will apply AA specific business logic and update the user entity.","operationId":"updateUser","tags":["Orchestrated"],"parameters":[{"in":"path","name":"userEntityId","schema":{"type":"string"},"required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateUserForm"}}}},"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateUserResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"delete":{"description":"remove user","operationId":"removeUser","tags":["Orchestrated"],"parameters":[{"in":"path","name":"userEntityId","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateUserResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/aa/orchestration/company/admins/{companyEntityId}":{"get":{"description":"return company info","operationId":"getCompanyAdmins","tags":["Orchestrated"],"parameters":[{"in":"path","name":"companyEntityId","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CorpAdminList"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/aa/orchestration/paymentcard/externalprocess/{companyEntityId}":{"post":{"description":"save or edit a shopping cart id","operationId":"getAAShoppingCartID","tags":["Orchestrated"],"parameters":[{"in":"path","name":"companyEntityId","schema":{"type":"string"},"required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CartIdForm"}}}},"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CartID"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/aa/orchestration/loyalty/allotment/upload":{"post":{"description":"upload allotments","operationId":"uploadFile","tags":["Orchestrated"],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary","description":"The file to be uploaded."}}}}}},"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CartID"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/aa/orchestration/loyalty/allotment/companies":{"post":{"description":"individul allotments","operationId":"allotPoints","tags":["Orchestrated"],"requestBody":{"content":{"schema":{"schema":{"$ref":"#/components/schemas/LoyaltyAllotmentRequest"}}}},"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/aa/orchestration/loyalty/allotment/terms":{"patch":{"description":"updte terms and conditions","operationId":"updateTerms","tags":["Orchestrated"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"terms":{"type":"string","example":"sdfsdf-31313zcz-sfead"},"language":{"type":"string","example":"EN"}}}}}},"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/aa/orchestration/loyalty/allotment/termsandconditions/{companyEntityId}":{"post":{"description":"accept Terms","operationId":"acceptTerms","tags":["Orchestrated"],"parameters":[{"in":"path","name":"companyEntityId","schema":{"type":"string"},"required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CartIdForm"}}}},"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CartID"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/aa/orchestration/loyalty/redemptions/{allotmentId}":{"post":{"description":"redeem loyalty points","operationId":"redeemPoints","tags":["Orchestrated"],"parameters":[{"in":"path","name":"allotmentId","schema":{"type":"string"},"required":true}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"redemptions":{"type":"array","items":{"type":"object","properties":{"userEntityId":{"type":"string","example":"sdfsdf-31313zcz-sfead"},"tierLevel":{"type":"string","example":1}}}}}}}}},"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CartID"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/aa/orchestration/loyalty/allotment/{allotmentId}/{companyEntityId}":{"patch":{"description":"edit allotment","operationId":"updateAllotment","tags":["Orchestrated"],"parameters":[{"name":"allotmentId","in":"path","required":true,"schema":{"type":"string"},"description":"allotmentId"},{"name":"companyEntityId","in":"path","required":true,"schema":{"type":"string"},"description":"companyEntityId"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAllotmentRequest"}}}},"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/aa/orchestration/company/lastmilestnx/{companyEntityId}":{"get":{"description":"return last users got miles transferred","operationId":"getCompanyLastMilesTnx","tags":["Orchestrated"],"parameters":[{"in":"path","name":"companyEntityId","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LastMilesUsersTnx"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/aa/orchestration/checkuseractions/{userEntityId}":{"get":{"description":"will return a flag indicating whether or not the role can be changed or the user can be deleted","operationId":"checkUserActions","tags":["Orchestrated"],"parameters":[{"in":"path","name":"userEntityId","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserActionsInfo"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/aa/orchestration/reports/bookings/company/{companyEntityId}/typeahead/{searchTerm}":{"get":{"description":"returns the differents categories with different values depending on the searchTerm","operationId":"getSearchReportResults","tags":["Orchestrated"],"parameters":[{"in":"path","name":"companyEntityId","schema":{"type":"string"},"required":true},{"in":"path","name":"searchTerm","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportBookingsResults"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/aa/orchestration/policy/{companyEntityId}":{"post":{"description":"Create Policy","operationId":"createPolicy","tags":["Orchestrated"],"parameters":[{"in":"path","name":"companyEntityId","schema":{"type":"string"},"required":true}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"policyName":{"type":"string","example":"sdfsdf-31313zcz-sfead"}}}}}},"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"type":"object","properties":{"policyName":{"type":"string","example":"Basic policy"},"policyId":{"type":"string","example":"sfsfds-sfsdf-sfsf"}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/aa/orchestration/policy/{companyEntityId}/{policyId}":{"get":{"description":"get policy","operationId":"getPolicy","tags":["Orchestrated"],"parameters":[{"in":"path","name":"policyId","schema":{"type":"string"},"required":true},{"in":"path","name":"companyEntityId","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PolicyResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"patch":{"description":"update policy","operationId":"updatePolicy","tags":["Orchestrated"],"parameters":[{"in":"path","name":"policyId","schema":{"type":"string"},"required":true},{"in":"path","name":"companyEntityId","schema":{"type":"string"},"required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EditPolicyRequest"}}}},"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/aa/orchestration/policy/name/{companyEntityId}/{policyId}":{"patch":{"description":"update policy name","operationId":"updatePolicyName","tags":["Orchestrated"],"parameters":[{"in":"path","name":"policyId","schema":{"type":"string"},"required":true},{"in":"path","name":"companyEntityId","schema":{"type":"string"},"required":true}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"policyName":{"type":"string","example":"Basic policy"}}}}}},"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/aa/orchestration/policy/flightpolicy/{companyEntityId}/{policyId}":{"put":{"description":"create/update flight policy","operationId":"createFlightPolicy","tags":["Orchestrated"],"parameters":[{"in":"path","name":"policyId","schema":{"type":"string"},"required":false},{"in":"path","name":"companyEntityId","schema":{"type":"string"},"required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FlightPolicyRequest"}}}},"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/aa/orchestration/policy/flightpolicy/{companyEntityId}/{policyId}/{policyRuleId}":{"delete":{"description":"delete flight policy","operationId":"deleteFlightPolicy","tags":["Orchestrated"],"parameters":[{"in":"path","name":"policyRuleId","schema":{"type":"string"},"required":true},{"in":"path","name":"companyEntityId","schema":{"type":"string"},"required":true},{"in":"path","name":"policyId","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/aa/orchestration/company/{companyEntityId}/discount":{"get":{"description":"get policy","operationId":"getDiscountTier","tags":["Orchestrated"],"parameters":[{"in":"path","name":"companyEntityId","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DiscountTierResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/aa/orchestration/company/{companyEntityId}/discounttier/terms":{"post":{"description":"Unlock discount tier","operationId":"unlockeDiscountTier","tags":["Orchestrated"],"parameters":[{"in":"path","name":"companyEntityId","schema":{"type":"string"},"required":true}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"action":{"type":"string","enum":["ACCEPT","DECLINE"],"example":"ACCEPT"},"tierCode":{"type":"string","example":"TIER1"},"discountCode":{"type":"string","example":"DISC1"}}}}}},"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/aa/orchestration/company/{companyEntityId}/discounttier/override":{"post":{"description":"Override discount tier","operationId":"overrideDiscountTier","tags":["Orchestrated"],"parameters":[{"in":"path","name":"companyEntityId","schema":{"type":"string"},"required":true}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"tierCode":{"type":"string","example":"TIER1"},"discountCode":{"type":"string","example":"DISC1"},"currentTierCode":{"type":"string","example":"TIER1"}}}}}},"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}},"/aa/orchestration/company/{companyEntityId}/discounttier/notification/view":{"post":{"description":"update viewd notification","operationId":"viewDiscountTierNotification","tags":["Orchestrated"],"parameters":[{"in":"path","name":"companyEntityId","schema":{"type":"string"},"required":true}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"modalName":{"type":"string","enum":["REQUALIFY","REQUALIFYWARNING","OVERRIDDENTOBASIC"],"example":"REQUALIFY"}}}}}},"responses":{"200":{"description":"response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"ReportBookingsResults":{"type":"object","properties":{"traveler":{"type":"array","items":{"$ref":"#/components/schemas/TravelerItem"}},"origin":{"type":"array","items":{"$ref":"#/components/schemas/AirportItem"}},"destination":{"type":"array","items":{"$ref":"#/components/schemas/AirportItem"}},"team":{"type":"array","items":{"$ref":"#/components/schemas/TeamItem"}}}},"TravelerItem":{"type":"object","properties":{"userEntityId":{"type":"string","example":"1hg2-34jh-89ju-890e"},"firstName":{"type":"string","example":"Eliana"},"lastName":{"type":"string","example":"Martinez"}}},"AirportItem":{"type":"object","properties":{"airportCode":{"type":"string","example":"ELI"}}},"TeamItem":{"type":"object","properties":{"name":{"type":"string","example":"Team Lions"},"groupEntityId":{"type":"string","example":"34rfgt-45fgtr-45aszx-12fgvb"}}},"PostSharedLinkRegisterForm":{"type":"object","properties":{"emailAddress":{"type":"string","example":"john.adams@nutravelinc.com"}}},"PostSharedLinkRegisterResponse":{"type":"object","properties":{"status":{"type":"string","example":"SUCCESS"},"requiresEmailVerification":{"type":"boolean","example":true}}},"CorpAdminResponse":{"type":"object","properties":{"status":{"type":"string","example":"SUCCESS"},"requiresEmailVerification":{"type":"boolean","example":true},"emailAddress":{"type":"string","example":"john.adams@nutravelinc.com"}}},"RegistrationLandingResponse":{"type":"object","properties":{"loginUrl":{"type":"string","example":"https://sso.url.com"},"joinNowLink":{"type":"string","example":"https://joinnow.url.com"}}},"GetCompanyInfo":{"type":"object","properties":{"canUpdatePrimaryAdmin":{"type":"boolean","example":true},"primaryAdminId":{"type":"string","example":"234"},"companyName":{"type":"string","example":"Stark Industries"},"taxId":{"type":"string","example":"123456789"},"previousAccountNumber":{"type":"string","example":"23432432"},"phoneCountryCode":{"type":"string","example":"1"},"phoneNumber":{"type":"string","example":1234567890},"address":{"$ref":"#/components/schemas/Address"},"discountCode":{"type":"string","example":"ABC88"},"companySize":{"type":"string","example":"123"},"businessWebsite":{"type":"string","example":"www.abc.com"},"referralCode":{"type":"string","example":"123"},"isTripLinkAccount":{"type":"boolean","example":false},"discount":{"type":"object","properties":{"currentTier":{"type":"object","properties":{"tierId":{"type":"string","example":"1"},"tierCode":{"type":"string","example":"TIER1"}}},"qualifiedTier":{"type":"object","properties":{"discountCode":{"type":"string","example":"DISC1"},"tierCode":{"type":"string","example":"TIER1"}}},"tierLevels":{"type":"array","items":{"type":"object","properties":{"tierId":{"type":"string","example":"1"},"tierCode":{"type":"string","example":"TIER1"}}}},"activeTier":{"type":"object","properties":{"tierId":{"type":"string","example":"1"},"tierCode":{"type":"string","example":"TIER1"},"allowOverride":{"type":"boolean","example":true},"tierStatus":{"type":"string","enum":["QUALIFIED","ACCEPTED"],"example":"ACCEPTED"},"tierHistory":{"type":"array","items":{"type":"object","properties":{"status":{"type":"string","enum":["QUALIFIED","OVERRIDDEN","ACCEPTED","DECLINED","REMOVED"],"example":"QUALIFIED"},"userName":{"type":"string","example":"James May"},"dateTime":{"type":"string","example":"2025-01-20"}}}}}},"showModalRequalify":{"type":"boolean","example":true},"showModalRequalifyWarning":{"type":"boolean","example":true},"showModalOverridden":{"type":"boolean","example":true}}}}},"UpdateCompanyForm":{"type":"object","properties":{"canUpdatePrimaryAdmin":{"type":"boolean","example":true},"primaryAdminId":{"type":"string","example":"234"},"companyName":{"type":"string","example":"Stark Industries"},"taxId":{"type":"string","example":"123456789"},"phoneCountryCode":{"type":"string","example":"1"},"phoneNumber":{"type":"string","example":1234567890},"address":{"$ref":"#/components/schemas/Address"},"discountCode":{"type":"string","example":"ABC88"},"companySize":{"type":"string","example":"123"},"businessWebsite":{"type":"string","example":"www.abc.com"},"referralCode":{"type":"string","example":"123"},"isTripLinkAccount":{"type":"boolean","example":false}}},"UpdateCompanyResponse":{"type":"object","properties":{"status":{"type":"string","example":"SUCCESS"}}},"UpdateUserForm":{"type":"object","properties":{"roleId":{"type":"string","example":"8"},"groupEntityId":{"type":"string","example":"23432"},"marketingNewsAndOffers":{"type":"boolean","example":true},"marketingBusinessSummary":{"type":"boolean","example":true},"marketingPromotions":{"type":"boolean","example":true},"isTripLinkAccount":{"type":"boolean","example":true}}},"UpdateUserResponse":{"type":"object","properties":{"status":{"type":"string","example":"SUCCESS"}}},"EmailVerificationRequest":{"type":"object","properties":{"verificationCode":{"type":"string","example":"1234"}}},"ResendVerificationResponse":{"type":"object","properties":{"status":{"type":"string","example":"SUCCESS"}}},"EmailVerificationResponse":{"type":"object","properties":{"status":{"type":"string","example":"SUCCESS"}}},"AdditionalDataRequest":{"type":"object","properties":{"businessWebsite":{"type":"string","example":"www.nutravel.com"},"companySize":{"type":"string","example":"A"},"referralCode":{"type":"string","example":"1234"},"agreeTerms":{"type":"boolean","example":true},"marketingNewsAndOffers":{"type":"boolean","example":true},"marketingBusinessSummary":{"type":"boolean","example":true},"marketingPromotions":{"type":"boolean","example":true},"isTripLinkAccount":{"type":"boolean","example":true}}},"UserRequest":{"type":"object","properties":{"firstName":{"type":"string","example":"john"},"lastName":{"type":"string","example":"adams"},"emailAddress":{"type":"string","example":"john.adams@nutravelinc.com"},"marketingEmail":{"type":"string","example":"p****e@nutravelin.com"}}},"UserResponse":{"type":"object","properties":{"status":{"type":"string","example":"SUCCESS"},"requiresEmailVerification":{"type":"boolean","example":true}}},"RegistrationInfo":{"type":"object","properties":{"registrationStatus":{"type":"string","example":"NEW"},"companyName":{"type":"string","example":"Abc Corp"},"taxId":{"type":"string","example":"9-87648793"},"address":{"$ref":"#/components/schemas/Address"},"phoneNumber":{"type":"string","example":"5555555555"},"emailNotificationsOptIn":{"type":"boolean","example":false}}},"LastMilesUsersTnx":{"type":"object","properties":{"userstnx":{"type":"array","items":{"$ref":"#/components/schemas/AdminDropDownItem"}}}},"CorpAdminList":{"type":"object","properties":{"admins":{"type":"array","items":{"$ref":"#/components/schemas/AdminDropDownItem"}}}},"CartID":{"type":"object","properties":{"cartId":{"type":"string","example":"e2490fdsfh328uwefhjishdsd93w2"},"code":{"type":"string","example":"200"}}},"CartIdForm":{"type":"object","properties":{"createCare":{"type":"boolean","example":true},"externalReferenceId":{"type":"string","example":"e2490fdsfh328uwefhjishdsd93w2"}}},"AcceptTermsAndConditionsForm":{"type":"object","properties":{"acceptTermsAndConditions":{"type":"boolean","example":true}}},"AdminDropDownItem":{"type":"object","properties":{"userEntityId":{"type":"string","example":"23432"},"firstName":{"type":"string","example":"john"},"lastName":{"type":"string","example":"adams"},"emailAddress":{"type":"string","example":"john.adams@nutravelinc.com"}}},"RegistrationResponse":{"type":"object","properties":{"status":{"type":"string","example":"SUCCESS"},"registrationInfo":{"$ref":"#/components/schemas/RegistrationInfo"}}},"UserInfo":{"type":"object","properties":{"firstName":{"type":"string","example":"john"},"lastName":{"type":"string","example":"adams"},"language":{"type":"string","example":"en"},"brandingId":{"type":"string","example":"aa"},"providerInfo":{"$ref":"#/components/schemas/ProviderInfo"},"companyInfo":{"$ref":"#/components/schemas/CompanyInfo"},"permissions":{"type":"array","items":{"type":"string","example":["view_people","view_teams","view_company_settings"]}},"companyList":{"type":"array","items":{"$ref":"#/components/schemas/CompanyItem"}}}},"ProviderInfo":{"type":"object","properties":{"providerEntityId":{"type":"string","example":"1"},"providerName":{"type":"string","example":"American Airlines"}}},"CompanyInfo":{"type":"object","properties":{"companyEntityId":{"type":"string","example":"123"},"companyName":{"type":"string","example":"ABC Corp"},"GroupName":{"type":"string","example":"Accounting"},"Role":{"type":"string","example":"Corporate Administrator"}}},"RegistrationForm":{"type":"object","properties":{"status":{"type":"string","example":"NEW"},"companyName":{"type":"string","example":"Stark Industries"},"taxId":{"type":"string","example":"12-8888888"},"address":{"$ref":"#/components/schemas/Address"},"phoneCountryCode":{"type":"string","example":"1"},"phoneNumber":{"type":"string","example":"5555555555"},"cartNumber":{"type":"string","example":"4r43r43"},"additionalData":{"$ref":"#/components/schemas/AdditionalDataRequest"},"adminInfo":{"$ref":"#/components/schemas/UserRequest"}}},"Address":{"type":"object","properties":{"street1":{"type":"string","example":"100 main street"},"street2":{"type":"string","example":"suite 200"},"city":{"type":"string","example":"stamford"},"stateProvince":{"type":"string","example":"CT"},"countryCode":{"type":"string","example":"US"},"postalCode":{"type":"string","example":"06902"}}},"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}},"Error":{"type":"object","properties":{"errorCode":{"type":"string","example":"E001"},"errorDescription":{"type":"string","example":"Missing user Id"}}},"CompanyItem":{"type":"object","properties":{"companyEntityId":{"type":"string","example":"456"},"companyName":{"type":"string","example":"Vandalay Industries"}}},"TravelerLandingResponse":{"type":"object","properties":{"loginUrl":{"type":"string","example":"sso.url.com"},"joinNowLink":{"type":"string","example":"joinnow.url.com"}}},"TravelerGetRegistrationResponse":{"type":"object","properties":{"membershipNumber":{"type":"string","example":"1234567"},"marketingEmail":{"type":"string","example":"p*****e@nutravelinc.com"},"businessEmail":{"type":"string","example":"John.adams@nutravelinc.com"},"marketingPreferences":{"$ref":"#/components/schemas/MarketingPreferences"}}},"MarketingPreferences":{"type":"object","properties":{"marketingNewsAndOffers":{"type":"boolean","example":true},"marketingBusinessSummary":{"type":"boolean","example":true},"marketingPromotions":{"type":"boolean","example":true}}},"TravelerPostRegistrationResponse":{"type":"object","properties":{"status":{"type":"string","example":"SUCCESS"}}},"TravelerRegistrationForm":{"type":"object","properties":{"agreeTerms":{"type":"boolean","example":true},"marketingNewsAndOffers":{"type":"boolean","example":true},"marketingBusinessSummary":{"type":"boolean","example":true},"marketingPromotions":{"type":"boolean","example":true},"isTripLinkAccount":{"type":"boolean","example":true}}},"TravelerOnboardingMeResponse":{"type":"object","properties":{"onboardingFlow":{"type":"string","example":"SHARED_LINK"},"collectEmailAddress":{"type":"boolean","example":true}}},"ChangeLocaleResponse":{"type":"object","properties":{"status":{"type":"string","example":"SUCCESS"}}},"PingResponse":{"type":"object","properties":{"status":{"type":"string","example":"SUCCESS"}}},"PingNoResponse":{"type":"object","properties":{"status":{"type":"string","example":"No SUCCESS"}}},"ProgramDetailsResponse":{"type":"object","properties":{"canTransferMiles":{"type":"boolean","example":true},"transferMilesMinAmount":{"type":"string","example":"100"},"transferMilesMaxAmount":{"type":"string","example":"200000"},"availableMiles":{"type":"string","example":"500000"},"showCitiBanner":{"type":"boolean","example":true},"mileageBalance":{"type":"string","example":"2000"},"spendingBalance":{"type":"string","example":"7000"},"currencyCode":{"type":"string","example":"USD"},"numberOfUniqueTravelers":{"type":"string","example":"7"}}},"GetUserResponse":{"type":"object","properties":{"userEntityId":{"type":"string","example":"2332"},"firstName":{"type":"string","example":"john"},"lastName":{"type":"string","example":"admas"},"membershipNumber":{"type":"string","example":"123"},"canChangeRole":{"type":"boolean","example":true},"showMarketingBusinessSummary":{"type":"boolean","example":true},"showMarketingNewsAndOffers":{"type":"boolean","example":true},"showMarketingPromotions":{"type":"boolean","example":true},"authorizedUser":{"type":"boolean","example":false},"triplink":{"type":"boolean","example":true},"primaryContact":{"type":"boolean","example":true},"canRemoveUser":{"type":"boolean","example":true},"marketingPreferences":{"$ref":"#/components/schemas/UserMarketingPreferences"}}},"UserMarketingPreferences":{"type":"object","properties":{"marketingNewsAndOffers":{"type":"boolean","example":true},"marketingPromotions":{"type":"boolean","example":true},"marketingBusinessSummary":{"type":"boolean","example":true}}},"IndexResponse":{"type":"object","properties":{"loginUrl":{"type":"string","example":"/oidc/login.html"},"joinNowLink":{"type":"string","example":"https://www.aa.com"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/IndexError"}}}},"IndexError":{"type":"object","properties":{"errorCode":{"type":"string","example":"8100"},"errorDescription":{"type":"string","example":"error logging in"}}},"TransferMilesResponse":{"type":"object","properties":{"errorCode":{"type":"string","example":"100"},"errorDescription":{"type":"string","example":"error transferring miles"}}},"TransferMilesRequest":{"type":"object","properties":{"userEntityId":{"type":"string","example":"12344"},"milesToTransfer":{"type":"string","example":"1000"}}},"UserActionsInfo":{"type":"object","properties":{"canChangeRole":{"type":"boolean"},"canRemove":{"type":"boolean"}}},"CreateUserInviteRequest":{"type":"object","properties":{"companyEntityId":{"type":"string","example":"3233","description":"(Optional) only set if the user is not part of a company themself."},"groupEntityId":{"type":"string","description":"(Optional)only set if creating an invite for a specific group.","example":"3234"},"emailAddresses":{"type":"array","items":{"type":"string","example":["fox@waynetech.com","alfred@waynemanor.com"]}},"shellUsers":{"type":"array","items":{"properties":{"email":{"type":"string","example":"richard_grayson@wayneyouth.com"},"shellUserId":{"type":"string","example":"12334455"}}}},"travelers":{"type":"array","items":{"properties":{"emailAddress":{"type":"string","example":"red_hood@wayneyouth.com"},"firstName":{"type":"string","example":"Jason"},"lastName":{"type":"string","example":"Todd"}}}},"role":{"type":"string","example":"7"},"locale":{"type":"string","example":"en_US"}}},"CreateUserInviteResponse":{"type":"object","properties":{"status":{"type":"string","example":"SUCCESS"},"numberInvitesSent":{"type":"integer","example":3}}},"SuccessResponse":{"type":"object","properties":{"statusCode":{"type":"string","example":"SUCCESS"}}},"PolicyResponse":{"type":"object","properties":{"policyId":{"type":"string","example":"ssfsdfs-rwerw-23erdsdf"},"policyName":{"type":"string","example":"Basic policy"},"updatedBy":{"type":"string","example":"Abc def"},"updatedOn":{"type":"string","example":"2024-12-31T10:00"},"policySettings":{"$ref":"#/components/schemas/PolicySettings"},"durationRules":{"type":"array","items":{"$ref":"#/components/schemas/DurationRule"}},"flightPolicies":{"type":"array","items":{"$ref":"#/components/schemas/FlightPolicy"}}}},"PolicySettings":{"type":"object","properties":{"policyRuleId":{"type":"string","example":""},"advancePurchase":{"type":"string","example":"0"},"requiredAdvancePurchase":{"type":"boolean","example":false},"allowRefundableFares":{"type":"boolean","example":false},"allowBasicFares":{"type":"boolean","example":false},"requiredRefundableFares":{"type":"boolean","example":false}}},"DurationRule":{"type":"object","properties":{"policyRuleId":{"type":"string","example":""},"durations":{"type":"array","items":{"$ref":"#/components/schemas/PolicyDuration"}},"durationType":{"type":"string","enum":["SHORT","MEDIUM","LONG"],"example":"SHORT"},"classOfService":{"type":"string","example":"5"}}},"FlightPolicy":{"type":"object","properties":{"policyRuleId":{"type":"string","example":""},"providerPath":{"type":"string","example":""},"fromLocationType":{"type":"string","enum":["Airport","City","Region"],"example":"Airport"},"from":{"type":"string","example":"JFK"},"fromLocationName":{"type":"string","example":"John F Kennedy Airport"},"to":{"type":"string","example":"SFO"},"toLocationName":{"type":"string","example":"San Francisco airport"},"toLocationType":{"type":"string","enum":["Airport","City","Region"],"example":"Airport"},"classOfService":{"type":"string","example":"1"},"biDirectional":{"type":"boolean","example":false}}},"EditPolicyRequest":{"type":"object","properties":{"policyName":{"type":"string","example":"Basic policy"},"enableMediumFlights":{"type":"boolean","example":false},"policySettings":{"$ref":"#/components/schemas/PolicySettings"},"durationRules":{"type":"array","items":{"$ref":"#/components/schemas/DurationRule"}}}},"FlightPolicyRequest":{"type":"object","properties":{"policyRuleId":{"type":"string","example":""},"fromLocationType":{"type":"string","enum":["Airport","City","Region"],"example":"Airport"},"from":{"type":"string","example":"JFK"},"fromLocationName":{"type":"string","example":"John F Kennedy Airport"},"to":{"type":"string","example":"SFO"},"toLocationName":{"type":"string","example":"San Francisco airport"},"toLocationType":{"type":"string","enum":["Airport","City","Region"],"example":"Airport"},"classOfService":{"type":"string","example":"1"},"biDirectional":{"type":"boolean","example":false}}},"PolicyDuration":{"type":"object","properties":{"value":{"type":"string","example":""},"operator":{"type":"string","enum":["EQ","LE","LT","GT","GE"],"example":""}}},"LoyaltyAllotmentRequest":{"type":"object","properties":{"allotments":{"type":"array","items":{"$ref":"#/components/schemas/CompanyAllotment"}}}},"UpdateAllotmentRequest":{"type":"object","properties":{"points":{"type":"integer","example":1000}}},"CompanyAllotment":{"type":"object","properties":{"bean":{"type":"string","example":""},"points":{"type":"integer","example":1234},"allowCk":{"type":"boolean","example":false},"expiry":{"type":"string","example":"2024-10-15"},"budgetYear":{"type":"string","example":""},"companyEntityId":{"type":"string","example":"sfdsf23-fsfsf234-fsdf432"}}},"DiscountTierResponse":{"type":"object","properties":{"currentSpend":{"type":"string","example":"2300"},"currentTier":{"$ref":"#/components/schemas/TierLevelInfo"},"tierLevels":{"type":"array","items":{"$ref":"#/components/schemas/TierLevelInfo"}}}},"TierLevelInfo":{"type":"object","properties":{"tierCode":{"type":"string","example":"TIER1"},"requiredSpend":{"type":"string","example":"234"},"startDate":{"type":"string","example":"2025-02-18"},"endDate":{"type":"string","example":"2025-02-18"},"discountCode":{"type":"string","example":"DISC1"},"isLocked":{"type":"boolean","example":true},"tierStatus":{"type":"string","enum":["QUALIFIED","ACCEPTED","REQUALIFY"],"example":"ACCEPTED"},"allowUnlock":{"type":"boolean","example":false}}}}}}